summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Hunter Sezen2015-12-08 18:26:02 +0100
committer Willy Sudiarto Raharjo2015-12-08 19:58:01 +0100
commit55123ab3a6daab3f24fe748ba2105bbd28673b89 (patch)
treed365fc1ce2f1511b9d7e08fd3b4f0d1ac78bee07 /graphics
parente3f363c1bcba0995dedf0c4dcacb68f019beeaba (diff)
downloadslackbuilds-55123ab3a6daab3f24fe748ba2105bbd28673b89.tar.gz
graphics/graphite2: Added (rendering engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/graphite2/README8
-rw-r--r--graphics/graphite2/graphite2.SlackBuild96
-rw-r--r--graphics/graphite2/graphite2.info10
-rw-r--r--graphics/graphite2/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/graphics/graphite2/README b/graphics/graphite2/README
new file mode 100644
index 0000000000..c4486282b4
--- /dev/null
+++ b/graphics/graphite2/README
@@ -0,0 +1,8 @@
+Graphite2 is a rendering engine for graphite fonts. These are TrueType
+fonts with additional tables containing smart rendering information and
+were originally developed to support complex non-Roman writing systems.
+They may contain rules for e.g. ligatures, glyph substitution, kerning,
+justification - this can make them useful even on text written in Roman
+writing systems such as English. Note that firefox provides an internal
+copy of the graphite engine and cannot use a system version, but it too
+should benefit from the availability of graphite fonts.
diff --git a/graphics/graphite2/graphite2.SlackBuild b/graphics/graphite2/graphite2.SlackBuild
new file mode 100644
index 0000000000..dda16bbadd
--- /dev/null
+++ b/graphics/graphite2/graphite2.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for graphite2
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=graphite2
+VERSION=${VERSION:-1.3.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -Wno-dev ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog LICENSE Todo.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/graphite2/graphite2.info b/graphics/graphite2/graphite2.info
new file mode 100644
index 0000000000..81cef328a6
--- /dev/null
+++ b/graphics/graphite2/graphite2.info
@@ -0,0 +1,10 @@
+PRGNAM="graphite2"
+VERSION="1.3.3"
+HOMEPAGE="http://projects.palaso.org/projects/graphitedev"
+DOWNLOAD="http://projects.palaso.org/attachments/download/436/graphite2-1.3.3.tgz"
+MD5SUM="7cda6fc6bc197b216777b15ce52c38a8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/graphics/graphite2/slack-desc b/graphics/graphite2/slack-desc
new file mode 100644
index 0000000000..5f58c7bff7
--- /dev/null
+++ b/graphics/graphite2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+graphite2: graphite2 (rendering engine for graphite fonts)
+graphite2:
+graphite2: Graphite2 is a rendering engine for graphite fonts. These are
+graphite2: TrueType fonts with additional tables containing smart rendering
+graphite2: information and were originally developed to support complex
+graphite2: non-Roman writing systems.
+graphite2:
+graphite2:
+graphite2:
+graphite2:
+graphite2: